boost::geometry::ring_type< Geometry > Struct Template Reference
core: meta-functions for geometry types

Metafunction defining [*type] as the ring_type of the \3. More...

List of all members.

## Public Types

typedef core_dispatch::ring_type < typename tag< Geometry > ::type, Geometry >::type | type

## Detailed Description

### template<typename Geometry>
struct boost::geometry::ring_type< Geometry >

Metafunction defining [*type] as the ring_type of the \3.

A polygon contains one exterior ring and zero or more interior rings (holes). This metafunction retrieves the type of the rings. Exterior ring and each of the interior rings all have the same ring_type.

Template Parameters:

  Geometry | A type fullfilling the Ring, Polygon or MultiPolygon concept.

## Member Typedef Documentation

template<typename Geometry>

typedef core_dispatch::ring_type< typename tag<Geometry>::type, Geometry >::type boost::geometry::ring_type< Geometry >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK